<div class="container white-bx">
    <div class="row">
      <div class="col l6 xl6 m6 s12 ">
        <h5>Add Order :</h5>
      </div>
      <div class="col l6 xl6 m6 s12 ">
        <button class="btnsub" mat-button routerLink="/contentlist">Back To List</button>
      </div>
    </div>
    <alert></alert>
    <div class="row">
      <div class="col l6 xl6 m6 s12">
        <mat-form-field>
          <mat-label>Order Type *</mat-label>
          <mat-select name="OrderType" [(ngModel)]="model.OrderType">
            <mat-option>--Select--</mat-option>
            <mat-option value="1">Order</mat-option>
            <mat-option value="2">Circular</mat-option>
            <mat-option value="3">Notification</mat-option>
          </mat-select>
        </mat-form-field>
      </div>
  
      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Sector</mat-label>
          <mat-select name="Sector" [(ngModel)]="model.Sector" multiple>
            <mat-option value="{{item.Value}}" *ngFor="let item of dDLList?.ddlSector">{{item.Name}} </mat-option>
          </mat-select>
        </mat-form-field>
  
      </div>
  
      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Department</mat-label>
          <mat-select name="Department" [(ngModel)]="model.Department" multiple>
          
            <mat-option value="{{item.Value}}" *ngFor="let item of dDLList?.ddlDepartment">{{item.Name}} </mat-option>
          </mat-select>
        </mat-form-field>
  
      </div>
      <div class="col l6 xl6 m6 s12">
  
        <mat-form-field>
          <input matInput [matDatepicker]="picker" [value]="currentDate" [formControl]="serializedDate"
            placeholder="Order (with affect from )" name="DateOfEntry" id="DateOfEntry" [(ngModel)]="model.DateOfEntry"
            [max]="tomorrow">
  
          <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
          <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
      </div>
      <div class="col l6 xl6 m6 s12">
  
        <mat-form-field class="example-full-width">
          <input matInput [matDatepicker]="picker1" placeholder="Order Date *" readonly name="OrderDate" id="OrderDate"
            [(ngModel)]="model.OrderDate" [max]="tomorrow">
          <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
          <mat-datepicker #picker1></mat-datepicker>
        </mat-form-field>
  
      </div>
      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Order No. *</mat-label>
          <input matInput placeholder="12DD" name="OrderNo" [(ngModel)]="model.OrderNo">
        </mat-form-field>
  
      </div>
      <!-- <div class="col l6 xl6 m6 s12">
                <mat-form-field > 
                    <mat-label>Beneficiary Category </mat-label>
                    <mat-select name="Category" [(ngModel)]="model.Category">
                      <mat-option>--Select--</mat-option>
                      <mat-option value="1">GEN</mat-option>
                      <mat-option value="2">OBC</mat-option>
                      <mat-option value="3">SC</mat-option>
                      <mat-option value="4">ST</mat-option>
                      <mat-option value="5">SBC</mat-option>
  
                    </mat-select>
                  </mat-form-field>
            
            </div> -->
      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Category</mat-label>
          <mat-select name="Category" [(ngModel)]="model.Category" multiple>
              <mat-option value="{{k.Value}}" *ngFor="let k of dDLList?.ddlBeneficiarytype">{{k.Name}}</mat-option>
          </mat-select>
        </mat-form-field>
  
      </div>
      <div class="col l6 xl6 m6 s12">
  
        <mat-form-field class="example-full-width">
          <input matInput [matDatepicker]="picker2" readonly placeholder="Date of Issue" name="DateofIssue"
            [(ngModel)]="model.DateofIssue" [max]="tomorrow">
          <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
          <mat-datepicker #picker2></mat-datepicker>
        </mat-form-field>
      </div>
      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Search Text</mat-label>
          <input matInput placeholder="Search Text" name="SearchText" [(ngModel)]="model.SearchText"
            [formControl]="SearchText">
        </mat-form-field>
        <mat-error *ngIf="SearchText.invalid && SearchText.touched">
          Search Text is <strong>required</strong>
        </mat-error>
      </div>
  
      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Individual Beneficiary Scheme</mat-label>
          <input matInput placeholder="Individual Beneficiary Scheme" name="IndividualBeneficiaryScheme"
            [(ngModel)]="model.IndividualBeneficiaryScheme" [formControl]="IndividualBeneficiaryScheme">
        </mat-form-field>
      </div>
  
      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Order Title/Subject *</mat-label>
          <input matInput placeholder="Hindi & English" name="Title" [(ngModel)]="model.Title" [formControl]="title"
            maxlength="250">
        </mat-form-field>
        <mat-error *ngIf="title.invalid && title.touched">
          Order Title is <strong>required</strong>
        </mat-error>
      </div>
      <div class="row mb-0">
        <div class="col l6 xl6 m6 s12">
          <mat-form-field class="example-full-width">
            <mat-label>Order Description *</mat-label>
            <textarea matInput placeholder="Hindi & English" name="Description" [(ngModel)]="model.Description"
              [formControl]="description" maxlength="1000"></textarea>
          </mat-form-field>
          <mat-error *ngIf="description.invalid && description.touched">
            Order Description is <strong>required</strong>
          </mat-error>
        </div>
      </div>
      <div class="col l6 xl6 m6 s12">
        <div class="upload-btn-wrapper">
          <label>Attach Order *</label>
          <input type="file" id="file" (change)="handleFileInput($event.target.files)">
  
        </div>
        <mat-error *ngIf="fileValidationMsg?.length>0">{{fileValidationMsg}}</mat-error>
      </div>
      <!-- <div class="col l6 xl6 m6 s12">
                <mat-form-field > 
                    <mat-label>Department Effected </mat-label>
                    <mat-select name="DepartmentAffected" [(ngModel)]="model.DepartmentAffected" >
                      <mat-option>--Select--</mat-option>
                      <mat-option value="{{item.Value}}" *ngFor="let item of dDLList?.ddlDepartment" >{{item.Name}} </mat-option>
      </mat-select>
      </mat-form-field>
  
    </div> -->
    <div class="col l6 xl6 m6 s12">
      <mat-form-field class="example-full-width">
        <mat-label>Department Effected</mat-label>
        <mat-select name="DepartmentAffected" [(ngModel)]="model.DepartmentAffected" multiple>
            <mat-option value="{{item.Value}}" *ngFor="let item of dDLList?.ddlDepartment">{{item.Name}} </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div class="col l6 xl6 m6 s12">
      <mat-form-field class="example-full-width">
        <mat-label>URL (Reference Link)</mat-label>
        <input matInput placeholder="References Link" name="ReferencesLink" [(ngModel)]="model.ReferencesLink"
          [formControl]="url">
      </mat-form-field>
      <mat-error *ngIf="url.invalid && url.touched">
        References Link is <strong>required</strong>
      </mat-error>
    </div>
  
    <div class="col l6 xl6 m6 s12">
      <mat-form-field class="example-full-width">
        <mat-label>Remarks</mat-label>
        <input matInput placeholder="Remarks if any" name="Remarks" [(ngModel)]="model.Remarks" [formControl]="Remarks">
      </mat-form-field>
    </div>
  
    <div class="col l12 m12 s12 mb-20">
      <mat-radio-group class="example-full-width radio-bx-custom radio-bx-custom-with-label"
        aria-label="Select an option">
        <mat-label class="mr-5">Title </mat-label>
        <mat-radio-button value="Public" class="mr-5">Public</mat-radio-button>
        <mat-radio-button value="CUG">CUG</mat-radio-button>
      </mat-radio-group>
  
    </div>
  
    <div class="col-sm-12" style="margin-top:10px;" *ngFor="let item of model.RelatedToOrderList; let i = index"
      [attr.data-index]="i">
      <div class="col l12 m12 s12 mb-20">
        <mat-label>Related to</mat-label>
      </div>
      <div class="col l4 x8 m4 s12">
        <mat-form-field>
          <mat-label>--Select--</mat-label>
          <mat-select [(ngModel)]="item.RelatedTo" name="{{i}}_RelatedTo">
            <mat-option>--Select--</mat-option>
            <mat-option value="{{item.Value}}" *ngFor="let item of dDLList?.ddlDepartment">{{item.Name}} </mat-option>
          </mat-select>
        </mat-form-field>
  
      </div>
      <div class="col l4 x8 m4 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Paramiter </mat-label>
          <input matInput placeholder="Paramiter" name="{{i}}_paragraph" [(ngModel)]="item.paragraph">
        </mat-form-field>
  
      </div>
      <div class="col l4 x8 m4 s12">
        <mat-form-field class="example-full-width">
          <mat-label> Order Description *</mat-label>
          <textarea matInput placeholder="Description " name="{{i}}_Description"
            [(ngModel)]="item.Description"></textarea>
        </mat-form-field>
  
      </div>
      <div *ngIf="i>0" class="col l12 m12 s12 text-right"><a href="javascript:void(0)" (click)="RemoveClick(i)">
          <mat-icon aria-hidden="false" aria-label="Example home icon" style="color: red">delete</mat-icon>
        </a></div>
  
  
    </div>
  
    <div class="col l12 m12 s12 text-right" *ngIf="model.RelatedToOrderList.length <5"><a href="javascript:void(0)"
        (click)="AddMoreItems()">
        <mat-icon aria-hidden="false" aria-label="Example home icon">add</mat-icon>
      </a>
    </div>
    <div class="col l4 x8 m4 s12">
      <mat-radio-group class="example-full-width radio-bx-custom radio-bx-custom-with-label" aria-label="Select an option"
        [(ngModel)]="model.TitleIsGOROrGOI" name="TitleIsGOROrGOI">
        <mat-label class="mr-5">Order Issue By </mat-label>
        <mat-radio-button value="GOR" class="mr-5">GOR</mat-radio-button>
        <mat-radio-button value="GOI">GOI</mat-radio-button>
      </mat-radio-group>
    </div>
    <!-- <div class="col l4 x8 m4 s12">
                <mat-form-field > 
                    <mat-label>Related Order No</mat-label>
                    <mat-select name="RelatedOrderNo" [(ngModel)]="model.RelatedOrderNo">
                      <mat-option>--Select--</mat-option>
                      <mat-option value="{{item.Value}}" *ngFor="let item of dDLList?.ddlEntry" >{{item.Name}} </mat-option>
                    </mat-select>
                  </mat-form-field>
            </div>
            <div class="col l4 x8 m4 s12">
                <mat-form-field > 
                    <mat-label>Related Scheme</mat-label>
                    <mat-select name="RelatedScheme" [(ngModel)]="model.RelatedScheme">
                      <mat-option>--Select--</mat-option>
                      <mat-option value="1">Option 1</mat-option>
                      <mat-option value="2">Option 2</mat-option>
                      <mat-option value="3">Option 3</mat-option>
                    </mat-select>
                  </mat-form-field>
            
            </div> -->
    <div class="col l12 x8 m4 s12 ">
      <button mat-button class="btn-submit" (click)="Saveclick()">Submit</button>
    </div>
  </div>
  </div>
  
  <footer>
  
    <div class="container">
      <div class="col s12">
        Website Designed & maintained by
      </div>
    </div>
  </footer>